%define name ettercap 
%define version 0.6.7
%define release 2mdk
%define major 0

Summary: Ettercap is a ncurses-based sniffer/interceptor utility
Name: %{name}
Version: %{version}
Release: %{release}
Source:  http://ettercap.sourceforge.net/download/%{name}-%{version}.tar.bz2
License: GPL 
Group: Networking/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL:        http://ettercap.sourceforge.net/
BuildRequires: libopenssl-devel
Buildrequires: libncurses-devel
Requires: lib%{name} = %{version}-%{release} 

%description
Ettercap is a network sniffer/interceptor/logger for ethernet 
LANs (both switched or not). It supports active and passive 
dissection of many protocols (even ciphered ones, like SSH and 
HTTPS). Data injection in an established connection and 
filtering (substitute or drop a packet) on the fly is also 
possible, keeping the connection sincronized. Many sniffing 
modes were implemented to give you a powerful and complete 
sniffing suite. Plugins are supported. It has the ability 
to check whether you are in a switched LAN or not, and to 
use OS fingerprints (active or passive) to let you know 
the geometry of the LAN. The passive scan of the lan retrives 
infos about: hosts in the lan, open ports, services version, 
type of the host (gateway, router or simple host) and 
extimated distance in hop.

%package -n lib%{name}%{major}
Summary: Libraries for ettercap
Provides: lib%{name}
Group:          System/Libraries

%description -n lib%{name}%{major}
Libraries need by ettercap, this include some plugins.

%prep
%setup

%build
%configure --disable-debug --with-openssl  --enable-https 
%make
%make plug-ins

%install
rm -rf $RPM_BUILD_ROOT
%make install DESTDIR=$RPM_BUILD_ROOT
%make plug-ins_install DESTDIR=$RPM_BUILD_ROOT

rm -fr $RPM_BUILD_ROOT/%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mandir}/man8/*
%doc COPYING README README.PLUGINS README.WIN32 HISTORY CHANGELOG AUTHORS TODO TODO.WIN32 THANKS KNOWN-BUGS PORTINGS INSTALL ./plugins/H01_zaratan/ZARATAN.HOWTO ./plugins/H05_roper/ROPER.HOWTO
%{prefix}/sbin/*
%{prefix}/share/ettercap/*

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/ettercap/*

%changelog
* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.7-2mdk
- rebuild for rpm and glibc

* Fri Jul 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.7-1mdk
- 0.6.7

* Mon Jun 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.6.6-1mdk
- 0.6.6.6

* Tue Apr 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.5-1mdk
- Adapted for mdk
- lib package

